Home

# Class goog.fx.AnimationQueue

Constructor for AnimationQueue object.

extends goog.fx.TransitionBase

Instance Method Summary
| `add(?goog.fx.TransitionBase animation)` Pushes an Animation to the end of the queue.
| `disposeInternal()` Disposes of the animations.
| `onAnimationFinish(?goog.events.Event e)` Handles the event that an animation has finished.
| `remove(?goog.fx.Animation animation)` Removes an Animation from the queue.